summaryrefslogtreecommitdiffstats
path: root/development/xmlcopyeditor/xmlcopyeditor.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'development/xmlcopyeditor/xmlcopyeditor.SlackBuild')
-rw-r--r--development/xmlcopyeditor/xmlcopyeditor.SlackBuild19
1 files changed, 12 insertions, 7 deletions
diff --git a/development/xmlcopyeditor/xmlcopyeditor.SlackBuild b/development/xmlcopyeditor/xmlcopyeditor.SlackBuild
index 40e8db418d..7b351541ee 100644
--- a/development/xmlcopyeditor/xmlcopyeditor.SlackBuild
+++ b/development/xmlcopyeditor/xmlcopyeditor.SlackBuild
@@ -5,7 +5,7 @@
# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
PRGNAM=xmlcopyeditor
-VERSION=${VERSION:-1.2.0.4}
+VERSION=${VERSION:-1.2.0.6}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -32,7 +32,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION-2.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find . \
@@ -43,6 +43,7 @@ find . \
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
+CPPFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
@@ -55,15 +56,19 @@ CXXFLAGS="$SLKCFLAGS" \
--build=$ARCH-slackware-linux
make
-make install-strip DESTDIR=$PKG
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
AUTHORS INSTALL \
$PKG/usr/doc/$PRGNAM-$VERSION
-# xmlcopyeditor decided to package every license under the sun.
-# So I guess we'll package them too.
-mv $PKG/usr/share/$PRGNAM/copying $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
@@ -71,4 +76,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}